{ config, pkgs, ... }:
let
  username = config.var.username;
  hashedPassword = config.var.hashedPassword;
  userId = config.var.uid;
in {
  programs.zsh.enable = true;
  users = {
    defaultUserShell = pkgs.zsh;
    users.${username} = {
      hashedPassword = "${hashedPassword}";
      uid = userId;
      isNormalUser = true;
      description = "${username} account";
      extraGroups = [
        "networkmanager"
        "wheel"
        "audio"
        "video"
        "input"
        "docker"
        "libvirtd"
      ];
    };
  };
}
